
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>OpenFlow协议之殇？ / iVAN</title>

    <meta name="description" content="OpenFlow协议之殇？ 在过去,OpenFlow一度是SDN的代名词,只要是SDN出现的地方就不得不谈到OpenFlow.不过现今,SDN似乎对OpenFlow并不是很热情,在谈论SDN时,OpenFlow也不再是标配了.这个曾经的唯一选择究竟遇到了什么,难道这是OpenFlow协议之殇? 下面我们好好分析一下这个问题.这里首先得提到的就是ONF,OpenFlow协议标准的发起组织.OpenFlow的官方解释是这样的:OpenFlow是定义在SDN架构中的首个控制平面和数据平面的标准通信接口.OpenFlow可直接接入">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">OpenFlow协议之殇？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在过去，OpenFlow一度是SDN的代名词，只要是SDN出现的地方就不得不谈到OpenFlow。不过现今，SDN似乎对OpenFlow并不是很热情，在谈论SDN时，OpenFlow也不再是标配了。这个曾经的唯一选择究竟遇到了什么，难道这是OpenFlow协议之殇?</p>
<p><a href="http://s4.51cto.com/wyfs02/M01/6F/B5/wKioL1WmDWCSFvhUAAB4Z5QKFnA737.jpg-wh_651x-s_2482435756.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNkYvQjUvd0tpb0wxV21EV0NTRnZoVUFBQjRaNVFLRm5BNzM3LmpwZy13aF82NTF4LXNfMjQ4MjQzNTc1Ni5qcGc=.jpg"></a><br />
<br />下面我们好好分析一下这个问题。这里首先得提到的就是ONF，OpenFlow协议标准的发起组织。OpenFlow的官方解释是这样的：OpenFlow是定义在SDN架构中的首个控制平面和数据平面的标准通信接口。OpenFlow可直接接入并且控制物理或虚拟设备的转发平面。从本质上讲，OpenFlow允许对转发平面进行深度定制，可以通过SDN控制器下发流规则的途径去设置流量的转发方式。这就意味着他能绕过交换机的控制平面，对上层应用展现一个开放、简单的交换机。在业界也有很多OpenFlow部署的成功案例，例如Google、NTT、Goldman Sachs等。设备商也在研发OpenFlow设备上投入了大量资金，并且很多人认为2015年将会带来OpenFlow应用的爆发。不过，剧情并未按剧本发展。下面将分析一下OpenFlow并未席卷全球的原因。</p>
<p><strong>OpenFlow交换机缺少互联互通</strong></p>
<p>至今，很多所谓支持OpenFlow的设备都仅支持到OpenFlow 1.0，设备商对OpenFlow 1.3协议的支持动力不足。很大一部分原因在于现有的协议还未成熟，很多设备商并未对其所定义的TLV进行支持。现在只有ONF在全力推动，为提升互操作性做了大量的测试和代码优化工作。但是从投入产出比来看，设备商认为其价值不具有足够的诱惑力。</p>
<p><strong>芯片级的OpenFlow流表支持延缓</strong></p>
<p>无论是定制芯片还是商用芯片，都不得不去对其芯片结构做调整以适配OpenFlow的巨型流表。这样直接造成工程师不得不放弃放弃高速的三重内容寻址存储解决方案，可用芯片的延迟减缓了了OpenFlow适配节奏。</p>
<p><strong>大量网工并不懂如何部署OpenFlow</strong></p>
<p>由于SDN、OpenFlow新技术的出现，直接增加了网工的学习成本，他们刚刚学习完传统的网络架构又不得不去学习新的技术。网工学习协议对控制平面的关注明显多于转发平面。然而部署OpenFlow需要对不同设备的类似于交换机流水线进程等属性进行学习。</p>
<p>在业界公司忙于解决OpenFlow问题的时候，其他新定义的接口的出现导致了南向接口的混乱。同时，设备商制造OpenFlow交换机并且雇佣市场团队，让后者认为OpenFlow是产品的大卖点。市场人员因此重新包装OpenFlow以提供所谓的更广的SDN解决方案。即使这些方案一直在使用OpenFlow协议，但在用户案例上还是老调重弹。</p>
<p><strong>SDN和OpenFlow的未来</strong></p>
<p>所以，OpenFlow已死?这么说的确很片面，但不得不说他将与其他协议友好共存。当然，设备商仍在高调的用OpenFlow进行产品包装。但是这并不意味着OpenFlow将只是作为噱头存在，或许将会有更多的应用案例出现。不过我们可以学习到：我们应该将更大的精力投入到如何解决问题上，而不要纠结使用哪种协议。OpenFlow不会死，他会存在并且会有更多的应用场景出现。所以，他的发展将以用户案例来驱动，并且OpenFlow的确是SDN发展路线中的重要部分。</p>
<p>作者：何妍 </p>
<p>来源：51CTO</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 12:18:26</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e8%a7%a3%e5%86%b3%e6%96%b9%e6%a1%88/" title="解决方案">解决方案</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>OpenFlow协议之殇？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKYvoZp.html" rel="bookmark">Ryu&colon;OpenFlow协议源码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Ryu支持OpenFlow所有的版本,是所有SDN控制器中对OpenFlow支持最好的控制器之一.这得益于Ryu的代码设计,Ryu中关于OpenFlow协议的代码量不多.阅读Ryu源码,不仅让我了解到了Ryu的运行细节,也学会了许多的编码知识.这为我当前开发的协议提供了很大的帮助. 本篇将从交换机与控制器建立连接开始,介绍OpenFlow报文的解析的相关代码实现.关于如何注册handler和发送报文,可查看之前的RYU核心源码解读:OFPHandler,Controller,RyuApp和App			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z75ndKM.html" rel="bookmark">基于OpenFlow协议的分流聚合基础应用笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实验一: 一对多实验 将1个10G端口的流量镜像至5个端口的配置如下.同样配置方法可应用于更多的端口. 注:Pica8交换机同时支持传统的2-3层协议和OpenFlow协议,本实验中交换机均配置为OpenFlow模式; 首先我们创建一个新的Bridge br0,并将端口1-6添加到br0; # Add Bridge br0 - for PCAP Replication - 1st Port ############################## # te-1/1/1 is input te			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgPyD8p.html" rel="bookmark">OpenFlow的伴侣协议：OF-CONFIG</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介在OpenFlow协议的规范中,控制器需要和配置好的交换机进行通信.而交换机在正常工作之前需要对其特性以及资源进行配置,才能正常工作.而这些配置超出了OpenFlow协议规范的范围,理应由其他的配置协议来完成,而OF-Config(OpenFlow Management and Configuration Protocol)协议就是一种配置OpenFlow交换机的一种协议.OF-CONFIG由ONF于2012年1月提出,目前已经演化到1.2版本.OF-CONFIG协议与OpenFlow协议的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqAwKOM.html" rel="bookmark">《软件定义网络：基于OpenFlow的SDN》一一1&period;4　OpenFlow消息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 OpenFlow消息 控制器和交换机之间的通信采用OpenFlow协议,通过安全信道在实体之间传递一组预定义的消息,安全信道是将每个交换机连接到控制器的接口.交换机开机启动后,便会向用户定义的控制器(或者固定的控制器)发起传输层安全(Transport Layer Security,TLS)连接,控制器的默认TCP端口是6633.交换机和控制器相互交换证书进行认证,证书用特定站点的私钥签名,用户必须能够对每个交换机进行配置,用其中的一个证书对控制器进行认证(控制器证书),用另一个证书向控			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmRYP5z.html" rel="bookmark">OpenFlow下一步该怎么走&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着SDN实践案例的扩展,OpenFlow必须开始独立于特定的应用程序和数据路径协议. OpenFlow协议对于支持软件定义网络(SDN)的逻辑集中控制和网络可编程性非常重要. 目前,OpenFlow在SDN控制器和交换机或其他数据路径之间提供标准化接口. 然而,出现了许多SDN案例出现了超越分组交换的情况.比如使用SDN来支持诸如电路交换.光学和无线介质,还有一些新用例包括网络功能虚拟化(NFV).第三层流量管理.WAN网关以及CORD. 开放网络基金会认识到OpenFlow必须有所发展以支持			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJe2Jwp.html" rel="bookmark">《软件定义网络：基于OpenFlow的SDN》一一2&period;1　OpenFlow参考交换机</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.1 OpenFlow参考交换机 OpenFlow交换机是基本的转发单元,可以通过OpenFlow协议和接口对它进行访问.这种架构初看起来似乎简化了交换机的硬件,但是诸如OpenFlow一类的基于流的SDN体系结构要求额外的转发表记录.缓存空间和统计计数器,在传统的采用专用IC芯片(ASIC)的交换机中,这些实现起来并不十分容易.在OpenFlow网络中,有两种类型的交换机:混合型的(可启用OpenFlow)和纯粹型的(只支持OpenFlow),混合型的交换机除了传统的操作和协议(二层.三层交			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPO2O1M.html" rel="bookmark">《软件定义网络：基于OpenFlow的SDN》一一1&period;6　本章总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.6 本章总结 在OpenFlow问世之前,已有很多人致力于将网络设备的控制与数据转发分离,而OpenFlow就是这一努力的延续.本章针对这方面的背景作了介绍,描述了部署SDN的关键构件,重点介绍了OpenFlow协议及其基本操作,了解了OpenFlow之后,我们将在下一章展示一个OpenFlow交换机的软硬件参考实现方案,同时介绍Mininet的实验环境.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boOy6Bb.html" rel="bookmark">Juniper为其交换机添加OpenFlow</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Juniper网络本周称,它计划将其http://www.aliyun.com/zixun/aggregation/14170.html&quot;&gt;OpenFlow应用的源代码开放给为其Junos网络操作系统软件开发应用的开发人员. OpenFlow是软件定义网络(SDN)的一个接口,在SDN中,多厂商的交换机和路由器都可通过OpenFlow软件进行编程.OpenFlow可将物理网络的抽象层提供给控制元件,允许网络经由软件进行配置或操控,这就为进一步的创新打开了方便之门. OpenFlow的亮点就			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeLl99p.html" rel="bookmark">《软件定义网络：基于OpenFlow的SDN》一一1&period;2　有关SDN&sol;OpenFlow的工作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 有关SDN/OpenFlow的工作 虽然OpenFlow在业界引起了极大的关注,但仍有必要指出,有关可编程网络和将控制平面与数据平面相分离的想法其实由来已久.早在1995年,开放信令工作组(Open Signaling Working Group,OPENSIG)就发起了一系列的活动,旨在使ATM.因特网和移动网络变得更加开放.广泛和可编程.这些活动进一步促进了因特网工程任务组(Internet Engineering Task Force,IETF)的一个工作组推出用于控制标记交换的通			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmldDM.html" rel="bookmark" class="title">用ASP构建你的网站新闻发布（一）</a>
					<div>
						更新每天新闻内容,对webmaster们来说是一件很头痛的事,首先,收集了大量的新闻资料后,还必须制作大量的网页,每天大大小小的国际新闻,国内新闻,IT新闻,可真够你累的.最致命的一点,这些松散的新闻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdDV1p.html" rel="bookmark" class="title">WebLogic下JSP连接数据库</a>
					<div>
						js|web|连接数据库 WebLogic下JSP连接数据库  草木瓜 2006-5-26 一.前言     JSP开发,一般来说需要前端开发工具和后台服务.WebLogic是集成了工具和服务的大型系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRlrBz.html" rel="bookmark" class="title">用Fireworks 4&period;0制作旋转文字动画&lpar;组图&rpar;</a>
					<div>
						旋转 Fireworks与Dreamweaver.Flash一起合称网页制作三剑客,可是如果我们没有学会很好地利用它,那就与未出鞘的宝剑一样,难见光芒.所谓万事靠积累,只有多学多练才能让剑客真正发挥威 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91j83M.html" rel="bookmark" class="title">AutoCAD草图设置（Drafting Settings）</a>
					<div>
						AutoCAD为用户提供了多种绘图的辅助工具,如栅格.捕捉.正交.极轴追踪和对象捕捉等,这些辅助工具类似于手工绘图时使用的方格纸.三角板,可以更容易.更准确地创建和修改图形对象.用户可通过 &quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLmx2b.html" rel="bookmark" class="title">Linux下的多线程编程</a>
					<div>
						1 引言 线程(thread)技术早在60年代就被提出,但真正应用多线程到操作系统中去,是在80年代中期,solaris是这方面的佼佼者.传统的Unix也支持线程的概念,但是在一个进程(process ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW16qEz.html" rel="bookmark" class="title">ORACLE数据库常见问题汇总</a>
					<div>
						  提交事务的时候提示(数据库被一个用户锁住的解决方法) select object_id,session_id,locked_mode from v$locked_object; select t2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2jwoM.html" rel="bookmark" class="title">android平台完全退出应用程序</a>
					<div>
						  android退出应用程序会调用android.os.Process.killProcess(android.os.Process.myPid())或是System.exit(0),这只是针对第一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badm3nz.html" rel="bookmark" class="title">jQuery获得内容和属性示例代码</a>
					<div>
						 获得内容 - text().html() 以及 val(),attr()方法用于获取属性值,下面有个不错的示例,感兴趣的朋友可以参考下 获得内容 - text().html() 以及 val()   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24Ywqp.html" rel="bookmark" class="title">解决在Excel2010中不能输入斜杠的方法</a>
					<div>
						  在Excel2010中,无法输入字符:/ ,而是在键盘上按下按键时出现悬浮的快捷键.如下图所示: 方法/步骤 解决办法如下: 打开Excel2010,点击 文件,然后单击&quot;选项&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6e13Lb.html" rel="bookmark" class="title">java开发中：用户、订单、订单详情、商品之间的关系  搞不清</a>
					<div>
						问题描述 java开发中:用户.订单.订单详情.商品之间的关系 搞不清 此案例的业务关系是用户.订单.订单详情.商品之间的关系,其中, 一个订单只能属于一个人. 一个订单可以有多个订单详情. 一个订单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAVVOM.html" rel="bookmark" class="title">我对Go语言的错误处理有哪些不满，以及我是如何处理的</a>
					<div>
						写 Go 的人往往对它的错误处理模式有一定的看法.按不同的语言经验,人们可能有不同的习惯处理方法.这就是为什么我决定要写这篇文章,尽管有点固执己见,但我认为听取我的经验是有用的.我想要讲的主要问题是, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW26Geb.html" rel="bookmark" class="title">揭秘360你不知道的十个隐藏功能</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 &quot;出去玩的照片被误删&quot;.&quot;电脑上不了网&quot;&quot;C盘空间不足&quot;--相信不少用户遇到此类问题都不知道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7jgZz.html" rel="bookmark" class="title">前端-求助，手机qq内置浏览器，javascript问题</a>
					<div>
						问题描述 求助,手机qq内置浏览器,javascript问题 function touchMove(event) { if(event.touches.length &gt; 1 || event.s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVl6Zb.html" rel="bookmark" class="title">awr-oracle RAC hang住的问题</a>
					<div>
						问题描述 oracle RAC hang住的问题 大家好,我的数据库是oracle 11.2.0.1 四节点RAC,有一天我们的数据库hang住了,业务只能做简单的查询,不能往数据库里面写数据了.于是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRj2Ab.html" rel="bookmark" class="title">HTML标签marquee实现滚动效果</a>
					<div>
						原文:HTML标签marquee实现滚动效果 页面的自动滚动效果,可由javascript来实现,但是今天无意中发现了一个html标签 - &lt;marquee&gt;&lt;/marquee&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeNedb.html" rel="bookmark" class="title">深入Java线程管理（三）：线程同步</a>
					<div>
						一. 引入同步: 有一个很经典的案例,即银行取款问题.我们可以先看下银行取款的基本流程: 1)用户输入账户.密码,系统判断用户的账户.密码是否匹配. 2)用户输入取款金额. 3)系统判断账户金额是否大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AP8oz.html" rel="bookmark" class="title">CYQ&period;Data 轻量数据层之路 bug反馈、优化建议、最新框架下载</a>
					<div>
						重要说明: 所有相关的版本及下载,均转移并发布于秋色园QBlog的CYQ.Data专题博客中:http://www.cyqdata.com/cyqdata   欢迎大伙在使用过程若遇bug可及时反馈, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGE6DEM.html" rel="bookmark" class="title">scrollview-如何只让一个 textview 滚动而不是在整个布局中？</a>
					<div>
						问题描述 如何只让一个 textview 滚动而不是在整个布局中? 我在 xml 布局中创建了几个布局,在这些布局中有一个 textview,包含一个大的文本.我想问的是如何只设置textview 垂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RjB7z.html" rel="bookmark" class="title">专访知道创宇：我们最先定性12306泄密事件</a>
					<div>
						元旦临近.春节将至,火车票预订进入旺季,但是在12月25日上午,一则关于中国铁路购票网站12306的漏洞报告出现在了国内某知名漏洞公布平台上,该报告称12306网站存在&quot;用户资料大量泄漏&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEE8XM.html" rel="bookmark" class="title">阿里云MaxCompute加速全球化布局   11月1日北京、马来西亚两地开服</a>
					<div>
						11月1日,阿里云宣布大数据计算服务MaxCompute在北京和马来西亚同日开服.这是阿里云首次将其大数据计算服务在国内和海外双节点同时开服,特别是在马来西亚数据中心全球开放2天后,MaxComput ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvnv55M.html" rel="bookmark" class="title">有关linux c，归并排序问题</a>
					<div>
						问题描述 有关linux c,归并排序问题 void merge(int a[], int l, int m, int r) 14 { 15 int i, j, k; 16 int b[r+1]; 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR0jop.html" rel="bookmark" class="title">Ace - Responsive Admin Template</a>
					<div>
						Ace简介: Ace 是一个轻量.功能丰富.HTML5.响应式.支持手机及平板电脑上浏览的管理后台模板,基于CSS框架Bootstrap制作,Bootstrap版本更新至 3.0,Ace – Resp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj98WM.html" rel="bookmark" class="title">查询ip归属地的shell脚本</a>
					<div>
						!/bin/bash Purpose: 查找ip地址所在地 ipp (){ exec &lt; $1 while read a do sring=curl -s &quot;http://ip138. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJVy3p.html" rel="bookmark" class="title">【百度地图API】让用户选择起点和终点的驾车导航</a>
					<div>
						原文:[百度地图API]让用户选择起点和终点的驾车导航 摘要: 如果用户搜索&quot;从机场到火车站&quot;,使用驾车导航DrivingRoute会默认显示一条结果.但同一个城市可能有多个机场和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX06aAp.html" rel="bookmark" class="title">ssh做的一个web项目，添加xfire的webservice支持后报错，小弟急求</a>
					<div>
						问题描述 由于我们提供的接口有点多,我就想在原来的工程上添加xfire的webservice支持,谁知道,添加了报错,看了不少帖子说是spring的jar包和spring-.1.2.6.jar冲突,然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoArOM.html" rel="bookmark" class="title">世界最长高铁全线开通 中国高铁网初具规模</a>
					<div>
						新华网北京12月26日电(记者齐中熙.樊曦) 26日上午9时,北京西站一列CRH380AL高速列车准时驶出站台,瞬间提速一直向南.预计8小时后,它将跨越2298公里的距离到达广州南站. 随着北京至郑州 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5nkWp.html" rel="bookmark" class="title">注重短期收益？主流智能投顾本质上是短期投资</a>
					<div>
						智能投顾(Robo advisor)被认为是Fintech(金融科技)领域最具颠覆性的技术之一.不过技术虽然对金融服务会造成一定影响,但投顾要成为一种新模式,还需要靠其投资建议的质量来决定. 最近的一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYRr5b.html" rel="bookmark" class="title">震后一周年综述：灾区通信站上新起点</a>
					<div>
						编者按:去年的今天,汶川大地震突如其来,数万个生命顷刻间消失,美丽家园顿成废墟. 在这场空前的人类灾难面前,被誉为&quot;生命线&quot;的通信基础设施也惨遭破坏,灾区与外界一度音信全无. 为了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1dEqb.html" rel="bookmark" class="title">php全局变量之学习笔记</a>
					<div>
						一.核心要点思考: 1. 哪些全局变量是过期的及如何处理? 如:unset($GLOBALS, $_ENV, $HTTP_GET_VARS, $HTTP_POST_VARS, $HTTP_COOKIE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7AwXM.html" rel="bookmark" class="title">如何最准确地统计在线用户数？&lowbar;编程10000问</a>
					<div>
						' 设置好global.asa 文件,如下:&lt;script LANGUAGE=&quot;VBScript&quot; RUNAT=&quot;Server&quot;&gt; Sub Appl ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
